<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="listWtg"
            type="com.gumbira.application.gumbiratour.service.model.firebase.WantogoModel" />
    </data>

    <android.support.v7.widget.CardView
        android:id="@+id/listWtg_cvItem"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="8dp"
        android:elevation="4dp"
        android:padding="2dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <RelativeLayout
                android:id="@+id/listWtg_itemWisata"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:padding="8dp">

                <ImageView
                    android:id="@+id/listWtg_itemFoto"
                    android:layout_width="match_parent"
                    android:layout_height="160dp"
                    android:scaleType="centerCrop"
                    app:image="@{listWtg.image}" />

                <TextView
                    android:id="@+id/listWtg_itemNama"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/listWtg_itemFoto"
                    android:layout_marginTop="5dp"
                    android:text="@{listWtg.name}"
                    android:textColor="#000"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/listWtg_itemAlamat"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/listWtg_itemNama"
                    android:layout_marginRight="16dp"
                    android:layout_toLeftOf="@id/listWtg_itemRating"
                    android:text="@{listWtg.vicinity}"
                    android:textColor="#aeaeae"
                    android:textSize="12dp" />

                <TextView
                    android:id="@+id/listWtg_itemRating"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="170dp"
                    android:background="@drawable/rating_corner"
                    android:padding="5dp"
                    android:text="@{listWtg.strRating}"
                    android:textColor="#fff"
                    android:textSize="10sp" />
            </RelativeLayout>
        </LinearLayout>
    </android.support.v7.widget.CardView>
</layout>